Bug 1440393 - [abrt] yumex-dnf: on_RPMProgress(): dnf_backend.py:228:on_RPMProgress:KeyError: 'scriptlet'
Summary: [abrt] yumex-dnf: on_RPMProgress(): dnf_backend.py:228:on_RPMProgress:KeyErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c6cc04165a6dd35b88f7a514348...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-08 13:17 UTC by René Genz
Modified: 2017-04-14 17:20 UTC (History)
2 users (show)

Fixed In Version: yumex-dnf-4.3.3-4.1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-14 17:20:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1010 bytes, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details
File: cgroup (289 bytes, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details
File: environ (1.82 KB, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details
File: mountinfo (3.30 KB, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details
File: open_fds (889 bytes, text/plain)
2017-04-08 13:17 UTC, René Genz
no flags Details

Description René Genz 2017-04-08 13:17:02 UTC
Description of problem:
Problem occured during installation of a package using yumex GUI in Xfce session

1. install Fedora 26 Alpha with Xfce in a virtual machine
2. create local user account with administrative rights
3. after installation and reboot log in with user account
4. start yumex: Applications -- Administration -- Yum Extender (DNF)
5. in tab Packages click on 'All' on the left side
6. activate package 'auter' and install it with 'apply pending actions' button in upper right hand corner

Version-Release number of selected component:
yumex-dnf-4.3.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/yumex-dnf
crash_function: on_RPMProgress
exception_type: KeyError
executable:     /usr/bin/yumex-dnf
kernel:         4.11.0-0.rc5.git0.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
dnf_backend.py:228:on_RPMProgress:KeyError: 'scriptlet'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 187, in __call__
    return getattr(self.proxy, self.method)(*args)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 228, in _on_g_signal
    self.handle_dbus_signals(proxy, sender, signal, args)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 556, in handle_dbus_signals
    self.on_RPMProgress(*args)
  File "/usr/lib/python3.6/site-packages/yumex/dnf_backend.py", line 228, in on_RPMProgress
    self.frontend.infobar.info_sub(const.RPM_ACTIONS[action] % name)
KeyError: 'scriptlet'

Local variables in innermost frame:
name: 'auter-0.9-1.fc26.noarch (updates-testing)'
num: ' ( 1/1 )'
ts_total: 1
ts_current: 1
te_total: 100
te_current: 100
action: 'scriptlet'
package: 'auter,0,0.9,1.fc26,noarch,updates-testing'
self: <yumex.dnf_backend.DnfRootBackend object at 0x7f137003ad68>

Comment 1 René Genz 2017-04-08 13:17:08 UTC
Created attachment 1270009 [details]
File: backtrace

Comment 2 René Genz 2017-04-08 13:17:09 UTC
Created attachment 1270010 [details]
File: cgroup

Comment 3 René Genz 2017-04-08 13:17:11 UTC
Created attachment 1270011 [details]
File: environ

Comment 4 René Genz 2017-04-08 13:17:12 UTC
Created attachment 1270012 [details]
File: mountinfo

Comment 5 René Genz 2017-04-08 13:17:14 UTC
Created attachment 1270013 [details]
File: namespaces

Comment 6 René Genz 2017-04-08 13:17:15 UTC
Created attachment 1270014 [details]
File: open_fds

Comment 7 Björn 'besser82' Esser 2017-04-08 15:42:25 UTC
Well, Yumex-DNF isn't developed upstream anymore.

The error you are seeing comes from changes in dnfdaemon made for dnf-2.2.0.  I'll try to make a patch for Yumex-DNF.

The other option you have: Switch to DNFDragora, which will fully replace Yumex-DNF in Fedora 27.

Simply type in terminal: sudo dnf install dnfdragora-gui

Comment 8 Fedora Update System 2017-04-10 19:40:05 UTC
yumex-dnf-4.3.3-4.1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b39fbb431a

Comment 9 Fedora Update System 2017-04-11 20:52:59 UTC
yumex-dnf-4.3.3-4.1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b39fbb431a

Comment 10 Fedora Update System 2017-04-14 17:20:44 UTC
yumex-dnf-4.3.3-4.1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.